Browse Source

Rename/rebrand the project to just feeds

pull/14/head
James Mills 1 month ago
parent
commit
8120f3ba82
Signed by: prologic GPG Key ID: AC4C014F1440EBD6
  1. 2
      .chglog/config.yml
  2. 6
      Dockerfile
  3. 6
      Makefile
  4. 18
      README.md
  5. BIN
      feeds
  6. 2
      go.mod
  7. 12
      templates.go
  8. 75
      tools/release.sh
  9. 2
      utils.go

2
.chglog/config.yml

@ -3,7 +3,7 @@ style: Github
template: CHANGELOG.tpl.md
info:
title: CHANGELOG
repository_url: https://git.mills.io/prologic/rss2twtxt
repository_url: https://git.mills.io/yarnsocial/feeds
options:
commits:
filters:

6
Dockerfile

@ -37,13 +37,13 @@ FROM alpine:latest
RUN apk --no-cache -U add curl ca-certificates tzdata
WORKDIR /
VOLUME /feeds
VOLUME /data
# force cgo resolver
ENV GODEBUG=netdns=cgo
COPY --from=build /src/rss2twtxt /rss2twtxt
COPY --from=build /src/feeds /feeds
HEALTHCHECK CMD curl -qsfSL http://127.0.0.1:8000/health || exit 1
ENTRYPOINT ["/rss2twtxt"]
ENTRYPOINT ["/feeds"]
CMD [""]

6
Makefile

@ -7,7 +7,7 @@ COMMIT=$(shell git rev-parse --short HEAD)
all: dev
dev: build
@./rss2twtxt -v
@./feeds -v
build:
@go build \
@ -24,9 +24,9 @@ image:
@docker build \
--build-arg VERSION="$(VERSION)" \
--build-arg COMMIT="$(COMMIT)" \
-t r.mills.io/prologic/rss2twtxt \
-t r.mills.io/prologic/feeds \
.
@docker push r.mills.io/prologic/rss2twtxt
@docker push r.mills.io/prologic/feeds
test: install
@go test

18
README.md

@ -1,12 +1,6 @@
# rss2twtxt
# feeds
[![Build Status](https://cloud.drone.io/api/badges/prologic/rss2twtxt/status.svg)](https://cloud.drone.io/prologic/rss2twtxt)
[![CodeCov](https://codecov.io/gh/prologic/rss2twtxt/branch/master/graph/badge.svg)](https://codecov.io/gh/prologic/rss2twtxt)
[![Go Report Card](https://goreportcard.com/badge/prologic/rss2twtxt)](https://goreportcard.com/report/prologic/rss2twtxt)
[![GoDoc](https://godoc.org/git.mills.io/prologic/rss2twtxt?status.svg)](https://godoc.org/git.mills.io/prologic/rss2twtxt)
[![Sourcegraph](https://sourcegraph.com/git.mills.io/prologic/rss2twtxt/-/badge.svg)](https://sourcegraph.com/git.mills.io/prologic/rss2twtxt?badge)
`rss2twtxt` is an RSS/Atom feed aggregator for [twtxt](https://rss2twtxt.readthedocs.io/en/latest/)
`feeds` is an RSS/Atom and Twitter feed aggregator for [twtxt](https://twtxt.readthedocs.io/en/latest/)
that consumes RSS/Atom feeds and processes them into twtxt feeds. These can
then be consumed by any standard twtxt client such as:
@ -27,15 +21,15 @@ There is also a publically (_free_) service online available at:
### Source
```#!bash
$ go get -u git.mills.io/prologic/rss2twtxt
$ go get -u git.mills.io/yarnsocial/feeds
```
## Usage
Run `rss2twtxt`:
Run `feeds`:
```#!bash
$ rss2twtxt
$ feeds
```
Then visit: http://localhost:8000/
@ -46,4 +40,4 @@ Then visit: http://localhost:8000/
## License
`rss2twtxt` is licensed under the terms of the [MIT License](/LICENSE)
`feeds` is licensed under the terms of the [MIT License](/LICENSE)

BIN
feeds

Binary file not shown.

2
go.mod

@ -1,4 +1,4 @@
module git.mills.io/prologic/rss2twtxt
module git.mills.io/prologic/feeds
go 1.14

12
templates.go

@ -80,7 +80,7 @@ const indexTemplate = `
<hr>
<p>
<small>
Licensed under the <a href="https://git.mills.io/prologic/rss2twtxt/blob/master/LICENSE" class="secondary">MIT License</a><br>
Licensed under the <a href="https://git.mills.io/yarnsocial/feeds/blob/master/LICENSE" class="secondary">MIT License</a><br>
</small>
</p>
</footer>
@ -99,7 +99,7 @@ const feedsTemplate = `
<body>
<nav class="container-fluid">
<ul>
<li><strong><a href="/">rss2twtxt</a></strong></li>
<li><strong><a href="/">feeds</a></strong></li>
<li><a href="/feeds">Feeds</a></li>
</ul>
</nav>
@ -126,7 +126,7 @@ const feedsTemplate = `
<hr>
<p>
<small>
Licensed under the <a href="https://git.mills.io/prologic/rss2twtxt/blob/master/LICENSE" class="secondary">MIT License</a><br>
Licensed under the <a href="https://git.mills.io/yarnsocial/feeds/blob/master/LICENSE" class="secondary">MIT License</a><br>
</small>
</p>
</footer>
@ -145,12 +145,12 @@ const messageTemplate = `
<body>
<nav class="container-fluid">
<ul>
<li><strong><a href="/">rss2twtxt</a></strong></li>
<li><strong><a href="/">feeds</a></strong></li>
<li><a href="/feeds">Feeds</a></li>
</ul>
<ul>
<li>
<a href="https://git.mills.io/prologic/rss2twtxt" class="contrast" aria-label="Pico GitHub repository">
<a href="https://git.mills.io/yarnsocial/feeds" class="contrast" aria-label="Pico GitHub repository">
<svg aria-hidden="true" focusable="false" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 496 512" height="1rem">
<path fill="currentColor" d="M165.9 397.4c0 2-2.3 3.6-5.2 3.6-3.3.3-5.6-1.3-5.6-3.6 0-2 2.3-3.6 5.2-3.6 3-.3 5.6 1.3 5.6 3.6zm-31.1-4.5c-.7 2 1.3 4.3 4.3 4.9 2.6 1 5.6 0 6.2-2s-1.3-4.3-4.3-5.2c-2.6-.7-5.5.3-6.2 2.3zm44.2-1.7c-2.9.7-4.9 2.6-4.6 4.9.3 2 2.9 3.3 5.9 2.6 2.9-.7 4.9-2.6 4.6-4.6-.3-1.9-3-3.2-5.9-2.9zM244.8 8C106.1 8 0 113.3 0 252c0 110.9 69.8 205.8 169.5 239.2 12.8 2.3 17.3-5.6 17.3-12.1 0-6.2-.3-40.4-.3-61.4 0 0-70 15-84.7-29.8 0 0-11.4-29.1-27.8-36.6 0 0-22.9-15.7 1.6-15.4 0 0 24.9 2 38.6 25.8 21.9 38.6 58.6 27.5 72.9 20.9 2.3-16 8.8-27.1 16-33.7-55.9-6.2-112.3-14.3-112.3-110.5 0-27.5 7.6-41.3 23.6-58.9-2.6-6.5-11.1-33.3 2.6-67.9 20.9-6.5 69 27 69 27 20-5.6 41.5-8.5 62.8-8.5s42.8 2.9 62.8 8.5c0 0 48.1-33.6 69-27 13.7 34.7 5.2 61.4 2.6 67.9 16 17.7 25.8 31.5 25.8 58.9 0 96.5-58.9 104.2-114.8 110.5 9.2 7.9 17 22.9 17 46.4 0 33.7-.3 75.4-.3 83.6 0 6.5 4.6 14.4 17.3 12.1C428.2 457.8 496 362.9 496 252 496 113.3 383.5 8 244.8 8zM97.2 352.9c-1.3 1-1 3.3.7 5.2 1.6 1.6 3.9 2.3 5.2 1 1.3-1 1-3.3-.7-5.2-1.6-1.6-3.9-2.3-5.2-1zm-10.8-8.1c-.7 1.3.3 2.9 2.3 3.9 1.6 1 3.6.7 4.3-.7.7-1.3-.3-2.9-2.3-3.9-2-.6-3.6-.3-4.3.7zm32.4 35.6c-1.6 1.3-1 4.3 1.3 6.2 2.3 2.3 5.2 2.6 6.5 1 1.3-1.3.7-4.3-1.3-6.2-2.2-2.3-5.2-2.6-6.5-1zm-11.4-14.7c-1.6 1-1.6 3.6 0 5.9 1.6 2.3 4.3 3.3 5.6 2.3 1.6-1.3 1.6-3.9 0-6.2-1.4-2.3-4-3.3-5.6-2z"></path>
</svg>
@ -169,7 +169,7 @@ const messageTemplate = `
<hr>
<p>
<small>
Licensed under the <a href="https://git.mills.io/prologic/rss2twtxt/blob/master/LICENSE" class="secondary">MIT License</a><br>
Licensed under the <a href="https://git.mills.io/yarnsocial/feeds/blob/master/LICENSE" class="secondary">MIT License</a><br>
</small>
</p>
</footer>

75
tools/release.sh

@ -1,57 +1,32 @@
#!/bin/sh
#!/bin/bash
set -e
# Get the highest tag number
VERSION="$(git describe --abbrev=0 --tags)"
VERSION=${VERSION:-'0.0.0'}
# shellcheck source=./tools/functions.sh
. ./functions.sh
# Get number parts
MAJOR="${VERSION%%.*}"
VERSION="${VERSION#*.}"
MINOR="${VERSION%%.*}"
VERSION="${VERSION#*.}"
PATCH="${VERSION%%.*}"
VERSION="${VERSION#*.}"
TAG="${TAG}"
# Increase version
PATCH=$((PATCH + 1))
generate_next_tag() {
progress "Generating next tag"
TAG="${1}"
if [ -z "$TAG" ]; then
version="$(git describe --abbrev=0 --tags)"
TAG="$(bump_version "$version")"
fi
}
generate_changelog() {
progress "Generating chnagelog for $TAG"
(
git-chglog --next-tag="${TAG}" --output CHANGELOG.md
git ci -a -m "Release ${TAG}"
git push -q
) >&2
}
create_draft_release() {
progress "Creating draft release for $TAG"
(
github-release release \
-u prologic \
-r rss2twtxt \
-t "${TAG}" \
-n "${TAG}" \
-d "$(git-chglog --next-tag "${TAG}" "${TAG}" | tail -n+5)" \
--draft
) >&2
}
steps="generate_next_tag generate_changelog create_draft_release"
_main() {
for step in $steps; do
if ! run "$step"; then
fail "Release failed"
fi
done
if [ "${TAG}" = "" ]; then
TAG="${MAJOR}.${MINOR}.${PATCH}"
fi
echo "🎉 All Done!"
}
echo "Releasing ${TAG} ..."
if [ -n "$0" ] && [ x"$0" != x"-bash" ]; then
if ! _main "$@"; then
fail "Release failed"
fi
fi
git-chglog --next-tag="${TAG}" --output CHANGELOG.md
git commit -a -m "Update CHANGELOG for ${TAG}"
git tag -a -s -m "Release ${TAG}" "${TAG}"
git push && git push --tags
goreleaser release \
--rm-dist \
--release-notes <(git-chglog "${TAG}" | tail -n+5)

2
utils.go

@ -84,7 +84,7 @@ func DownloadImage(conf *Config, url string, filename string, opts *ImageOptions
}
defer res.Body.Close()
tf, err := ioutil.TempFile("", "rss2twtxt-*")
tf, err := ioutil.TempFile("", "feeds-*")
if err != nil {
log.WithError(err).Error("error creating temporary file")
return err

Loading…
Cancel
Save